/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT5.dat, Thu Dec 20 23:33:22 2012
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00002285 (8837)
 *     Revision         0x01
 *     Checksum         0x5D
 *     OEM ID           "NvdPeg"
 *     OEM Table ID     "NvPegTb"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20111123 (537989411)
 */
DefinitionBlock ("SSDT5.aml", "SSDT", 1, "NvdPeg", "NvPegTb", 0x00001000)
{
    External (BRTL, IntObj)
    External (OSYS)
    External (EDPE)
    External (IGDS)
    External (TCNT)
    External (\_PR_.CPU7)
    External (\_PR_.CPU6)
    External (\_PR_.CPU5)
    External (\_PR_.CPU4)
    External (\_PR_.CPU3)
    External (\_PR_.CPU2)
    External (\_PR_.CPU1)
    External (\_PR_.CPU0)
    External (\_TZ_.TZ01._TMP, IntObj)
    External (\_PR_.CPU0._PPC, IntObj)
    External (\_PR_.CPU0._PSS, IntObj)
    External (\_SB_.PCI0.PEG1, DeviceObj)
    External (\_SB_.PCI0.PEG0.PEGP, DeviceObj)
    External (\_SB_.PCI0.LPCB.EC0_.BRTS)

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        Name (GESC, Zero)
        Method (GPS, 4, Serialized)
        {
            Name (_T_1, Zero)
            Name (_T_0, Zero)
            If (LNotEqual (Arg1, 0x0100))
            {
                Return (0x80000002)
            }

            While (One)
            {
                Store (ToInteger (Arg2), _T_0)
                If (LEqual (_T_0, Zero))
                {
                    Return (Buffer (0x08)
                    {
                        /* 0000 */    0x01, 0x00, 0x00, 0x00, 0x0F, 0x04, 0x00, 0x00
                    })
                }
                Else
                {
                    If (LEqual (_T_0, 0x20))
                    {
                        CreateBitField (Arg3, 0x18, NRIT)
                        CreateBitField (Arg3, 0x19, RITS)
                        CreateField (Arg3, 0x1A, 0x03, PSTS)
                        CreateBitField (Arg3, 0x1D, NPSS)
                        CreateBitField (Arg3, 0x1E, PSES)
                        Name (GB32, Buffer (0x08)
                        {
                            0x00
                        })
                        CreateBitField (GB32, Zero, SPLU)
                        CreateBitField (GB32, One, PSLS)
                        CreateBitField (GB32, 0x18, CITS)
                        CreateBitField (GB32, 0x1E, PSER)
                        If (RITS)
                        {
                            If (NRIT)
                            {
                                Store (One, CITS)
                            }
                            Else
                            {
                                Store (Zero, CITS)
                            }
                        }

                        Store (One, CITS)
                        Store (One, PSER)
                        If (GESC)
                        {
                            Store (One, SPLU)
                        }

                        Return (GB32)
                    }
                    Else
                    {
                        If (LEqual (_T_0, 0x21))
                        {
                            Return (\_PR.CPU0._PSS)
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x22))
                            {
                                CreateByteField (Arg3, Zero, NPPC)
                                Store (NPPC, \_PR.CPU0._PPC)
                                If (LEqual (TCNT, 0x08))
                                {
                                    Notify (\_PR.CPU0, 0x80)
                                    Notify (\_PR.CPU1, 0x80)
                                    Notify (\_PR.CPU2, 0x80)
                                    Notify (\_PR.CPU3, 0x80)
                                    Notify (\_PR.CPU4, 0x80)
                                    Notify (\_PR.CPU5, 0x80)
                                    Notify (\_PR.CPU6, 0x80)
                                    Notify (\_PR.CPU7, 0x80)
                                }

                                If (LEqual (TCNT, 0x04))
                                {
                                    Notify (\_PR.CPU0, 0x80)
                                    Notify (\_PR.CPU1, 0x80)
                                    Notify (\_PR.CPU2, 0x80)
                                    Notify (\_PR.CPU3, 0x80)
                                }

                                If (LEqual (TCNT, 0x02))
                                {
                                    Notify (\_PR.CPU0, 0x80)
                                    Notify (\_PR.CPU1, 0x80)
                                }
                                Else
                                {
                                    Notify (\_PR.CPU0, 0x80)
                                }

                                Return (Zero)
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x23))
                                {
                                    Return (\_PR.CPU0._PPC)
                                }
                                Else
                                {
                                    If (LEqual (_T_0, 0x2A))
                                    {
                                        CreateByteField (Arg3, Zero, QUTP)
                                        CreateBitField (Arg3, 0x08, GPUT)
                                        CreateBitField (Arg3, 0x09, CPUT)
                                        CreateBitField (Arg3, 0x0A, FANS)
                                        CreateBitField (Arg3, 0x0B, SKIN)
                                        CreateBitField (Arg3, 0x0C, CENG)
                                        CreateBitField (Arg3, 0x0D, SEN1)
                                        CreateBitField (Arg3, 0x0E, SEN2)
                                        Name (GB42, Buffer (0x24)
                                        {
                                            0x00
                                        })
                                        CreateDWordField (GB42, Zero, STSV)
                                        CreateDWordField (GB42, 0x04, VERS)
                                        CreateDWordField (GB42, 0x08, TGPU)
                                        CreateDWordField (GB42, 0x0C, PDTS)
                                        CreateDWordField (GB42, 0x10, SFAN)
                                        CreateDWordField (GB42, 0x14, SKNT)
                                        CreateDWordField (GB42, 0x18, CPUE)
                                        CreateDWordField (GB42, 0x1C, TMP1)
                                        CreateDWordField (GB42, 0x20, TMP2)
                                        While (One)
                                        {
                                            Store (QUTP, _T_1)
                                            If (LEqual (_T_1, Zero))
                                            {
                                                If (CPUT)
                                                {
                                                    Store (0x0200, STSV)
                                                    Or (STSV, QUTP, STSV)
                                                    Store (\_TZ.TZ01._TMP, PDTS)
                                                }

                                                Return (GB42)
                                            }
                                            Else
                                            {
                                                If (LEqual (_T_1, One))
                                                {
                                                    Store (0x0200, STSV)
                                                    Or (STSV, QUTP, STSV)
                                                    Store (0x03E8, PDTS)
                                                    Return (GB42)
                                                }
                                                Else
                                                {
                                                    If (LEqual (_T_1, 0x02))
                                                    {
                                                        Or (STSV, QUTP, STSV)
                                                        Store (Zero, VERS)
                                                        Store (Zero, TGPU)
                                                        Store (Zero, PDTS)
                                                        Store (Zero, SFAN)
                                                        Store (Zero, SKNT)
                                                        Store (Zero, CPUE)
                                                        Store (Zero, TMP1)
                                                        Store (Zero, TMP2)
                                                        Return (GB42)
                                                    }
                                                }
                                            }

                                            Break
                                        }
                                    }
                                    Else
                                    {
                                        Return (0x80000002)
                                    }
                                }
                            }
                        }
                    }
                }

                Break
            }
        }
    }

    Scope (\_SB.PCI0.PEG0)
    {
        OperationRegion (PE19, PCI_Config, 0x19, One)
        Field (PE19, ByteAcc, NoLock, Preserve)
        {
            PSBN,   8
        }

        Device (DGPU)
        {
            Name (_ADR, Zero)
            OperationRegion (NVID, PCI_Config, Zero, 0x08)
            Field (NVID, ByteAcc, Lock, Preserve)
            {
                        Offset (0x02), 
                PDID,   16
            }

            OperationRegion (GPPB, PCI_Config, 0xB4, 0x14)
            Field (GPPB, ByteAcc, NoLock, Preserve)
            {
                PBCI,   8, 
                PBNP,   8, 
                PBLS,   8, 
                PBCC,   8, 
                PBCM,   32, 
                PBDI,   32, 
                PBDO,   32, 
                PBMX,   32
            }

            Method (_INI, 0, NotSerialized)
            {
                Store (Zero, IGDS)
            }

            Method (NINT, 2, NotSerialized)
            {
                If (LEqual (PBCC, One))
                {
                    If (LEqual (Arg0, One))
                    {
                        Store (One, PBMX)
                        Store (Zero, Local0)
                        While (LLess (Local0, 0x03E8))
                        {
                            Store (0xC5100000, PBCM)
                            Stall (0x64)
                            And (PBCM, 0xFF, Local1)
                            Increment (Local0)
                            If (LEqual (Local1, One))
                            {
                                Store (0x03E8, Local0)
                            }
                        }

                        Store (Zero, PBCM)
                        Store (Zero, PBMX)
                        Store (PBDO, Local2)
                        Return (Local2)
                    }

                    If (LEqual (Arg0, 0x02))
                    {
                        Store (Arg1, Local1)
                        Store (Zero, Local0)
                        Multiply (Local1, 0x0A, Local3)
                        ShiftLeft (Local3, 0x08, Local3)
                        Store (Local3, PBDI)
                        While (LLess (Local0, 0x03E8))
                        {
                            Store (One, PBMX)
                            Store (0x86100000, PBCM)
                            Stall (0x64)
                            And (PBCM, 0xFF, Local2)
                            Increment (Local0)
                            If (LEqual (Local2, One))
                            {
                                Store (0x03E8, Local0)
                            }
                        }

                        Store (Zero, PBCM)
                        Store (Zero, PBMX)
                        Return (Zero)
                    }
                }

                Return (Zero)
            }

            Method (GBUS, 0, NotSerialized)
            {
                Return (^^PSBN)
            }

            Name (MXM3, Buffer (0x55)
            {
                /* 0000 */    0x4D, 0x58, 0x4D, 0x5F, 0x03, 0x00, 0x4D, 0x00, 
                /* 0008 */    0x30, 0x11, 0xB8, 0xFF, 0xF9, 0x3E, 0x00, 0x00, 
                /* 0010 */    0x00, 0x00, 0x8A, 0xFD, 0xF9, 0x3E, 0x00, 0x00, 
                /* 0018 */    0x20, 0x29, 0xD2, 0xFE, 0xF9, 0x3E, 0x00, 0x00, 
                /* 0020 */    0x60, 0x6A, 0xDA, 0xFE, 0xF9, 0x3E, 0x00, 0x00, 
                /* 0028 */    0x20, 0x2B, 0xE2, 0xFC, 0xF9, 0x3E, 0x00, 0x00, 
                /* 0030 */    0x01, 0xE8, 0x03, 0x00, 0x03, 0x03, 0x90, 0x01, 
                /* 0038 */    0x13, 0x02, 0xE8, 0x03, 0x93, 0x00, 0x52, 0x03, 
                /* 0040 */    0xE5, 0x0D, 0xE1, 0x10, 0x04, 0x00, 0x00, 0x00, 
                /* 0048 */    0x06, 0x14, 0x00, 0x00, 0xC8, 0x00, 0x00, 0x00, 
                /* 0050 */    0xE8, 0x63, 0x09, 0x00, 0x61
            })
            Method (MXMI, 1, NotSerialized)
            {
                If (LEqual (Arg0, 0x20))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, 0x21))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, 0x30))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, Zero))
                {
                    Return (0x30)
                }

                Return (Zero)
            }

            Method (MXMS, 1, NotSerialized)
            {
                If (LEqual (Arg0, 0x30))
                {
                    Return (MXM3)
                }
                Else
                {
                    Return (Buffer (0x08)
                    {
                        0x00
                    })
                }
            }

            Name (CTOI, One)
            Name (NTOI, One)
            Name (MADL, Zero)
            Name (MSTE, Zero)
            Name (DPFL, One)
            Name (DSFL, Zero)
            Name (CHOI, Zero)
            Method (GETD, 2, Serialized)
            {
                Name (_T_B, Zero)
                Name (_T_A, Zero)
                Name (_T_9, Zero)
                Name (_T_8, Zero)
                Name (_T_7, Zero)
                Name (_T_6, Zero)
                Name (_T_5, Zero)
                Name (_T_4, Zero)
                Name (_T_3, Zero)
                Name (_T_2, Zero)
                Name (_T_1, Zero)
                Name (_T_0, Zero)
                Store (Arg0, MADL)
                Store (Arg1, MSTE)
                While (One)
                {
                    Store (ToInteger (MADL), _T_0)
                    If (LEqual (_T_0, 0x0F))
                    {
                        While (One)
                        {
                            Store (ToInteger (MSTE), _T_1)
                            If (LEqual (_T_1, 0x0E))
                            {
                                Store (0x0E, CTOI)
                                Store (One, NTOI)
                            }
                            Else
                            {
                                If (LEqual (_T_1, 0x0F))
                                {
                                    Store (0x08, CTOI)
                                    Store (0x08, NTOI)
                                }
                                Else
                                {
                                    Store (ToInteger (MSTE), CTOI)
                                    Store (Add (CTOI, One), NTOI)
                                }
                            }

                            Break
                        }
                    }
                    Else
                    {
                        If (LEqual (_T_0, 0x0E))
                        {
                            While (One)
                            {
                                Store (ToInteger (MSTE), _T_2)
                                If (LEqual (_T_2, 0x0C))
                                {
                                    Store (0x0C, CTOI)
                                    Store (0x0E, NTOI)
                                }
                                Else
                                {
                                    If (LEqual (_T_2, 0x0E))
                                    {
                                        Store (0x0E, CTOI)
                                        Store (0x02, NTOI)
                                    }
                                    Else
                                    {
                                        Store (ToInteger (MSTE), CTOI)
                                        Store (Add (CTOI, 0x02), NTOI)
                                    }
                                }

                                Break
                            }
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x0D))
                            {
                                While (One)
                                {
                                    Store (ToInteger (MSTE), _T_3)
                                    If (LEqual (_T_3, 0x0D))
                                    {
                                        Store (0x0D, CTOI)
                                        Store (One, NTOI)
                                    }
                                    Else
                                    {
                                        Store (ToInteger (MSTE), CTOI)
                                        And (CTOI, One, Local0)
                                        If (Local0)
                                        {
                                            Store (Add (CTOI, 0x03), NTOI)
                                        }
                                        Else
                                        {
                                            Store (Add (CTOI, One), NTOI)
                                        }
                                    }

                                    Break
                                }
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x0C))
                                {
                                    While (One)
                                    {
                                        Store (ToInteger (MSTE), _T_4)
                                        If (LEqual (_T_4, 0x0C))
                                        {
                                            Store (0x0C, CTOI)
                                            Store (0x04, NTOI)
                                        }
                                        Else
                                        {
                                            Store (ToInteger (MSTE), CTOI)
                                            Store (Add (CTOI, 0x04), NTOI)
                                        }

                                        Break
                                    }
                                }
                                Else
                                {
                                    If (LEqual (_T_0, 0x0B))
                                    {
                                        While (One)
                                        {
                                            Store (ToInteger (MSTE), _T_5)
                                            If (LEqual (_T_5, 0x03))
                                            {
                                                Store (0x03, CTOI)
                                                Store (0x08, NTOI)
                                            }
                                            Else
                                            {
                                                If (LEqual (_T_5, 0x0B))
                                                {
                                                    Store (0x0B, CTOI)
                                                    Store (One, NTOI)
                                                }
                                                Else
                                                {
                                                    Store (ToInteger (MSTE), CTOI)
                                                    Store (Add (CTOI, One), NTOI)
                                                }
                                            }

                                            Break
                                        }
                                    }
                                    Else
                                    {
                                        If (LEqual (_T_0, 0x0A))
                                        {
                                            While (One)
                                            {
                                                Store (ToInteger (MSTE), _T_6)
                                                If (LEqual (_T_6, 0x02))
                                                {
                                                    Store (0x02, CTOI)
                                                    Store (0x08, NTOI)
                                                }
                                                Else
                                                {
                                                    If (LEqual (_T_6, 0x08))
                                                    {
                                                        Store (0x08, CTOI)
                                                        Store (0x0A, NTOI)
                                                    }
                                                    Else
                                                    {
                                                        If (LEqual (_T_6, 0x0A))
                                                        {
                                                            Store (0x0A, CTOI)
                                                            Store (0x02, NTOI)
                                                        }
                                                    }
                                                }

                                                Break
                                            }
                                        }
                                        Else
                                        {
                                            If (LEqual (_T_0, 0x09))
                                            {
                                                While (One)
                                                {
                                                    Store (ToInteger (MSTE), _T_7)
                                                    If (LEqual (_T_7, One))
                                                    {
                                                        Store (One, CTOI)
                                                        Store (0x08, NTOI)
                                                    }
                                                    Else
                                                    {
                                                        If (LEqual (_T_7, 0x08))
                                                        {
                                                            Store (0x08, CTOI)
                                                            Store (0x09, NTOI)
                                                        }
                                                        Else
                                                        {
                                                            If (LEqual (_T_7, 0x09))
                                                            {
                                                                Store (0x09, CTOI)
                                                                Store (One, NTOI)
                                                            }
                                                        }
                                                    }

                                                    Break
                                                }
                                            }
                                            Else
                                            {
                                                If (LEqual (_T_0, 0x07))
                                                {
                                                    While (One)
                                                    {
                                                        Store (ToInteger (MSTE), _T_8)
                                                        If (LEqual (_T_8, 0x07))
                                                        {
                                                            Store (0x07, CTOI)
                                                            Store (One, NTOI)
                                                        }
                                                        Else
                                                        {
                                                            Store (ToInteger (MSTE), CTOI)
                                                            Store (Add (CTOI, One), NTOI)
                                                        }

                                                        Break
                                                    }
                                                }
                                                Else
                                                {
                                                    If (LEqual (_T_0, 0x06))
                                                    {
                                                        While (One)
                                                        {
                                                            Store (ToInteger (MSTE), _T_9)
                                                            If (LEqual (_T_9, 0x06))
                                                            {
                                                                Store (0x06, CTOI)
                                                                Store (0x02, NTOI)
                                                            }
                                                            Else
                                                            {
                                                                Store (ToInteger (MSTE), CTOI)
                                                                Store (Add (CTOI, 0x02), NTOI)
                                                            }

                                                            Break
                                                        }
                                                    }
                                                    Else
                                                    {
                                                        If (LEqual (_T_0, 0x05))
                                                        {
                                                            While (One)
                                                            {
                                                                Store (ToInteger (MSTE), _T_A)
                                                                If (LEqual (_T_A, One))
                                                                {
                                                                    Store (One, CTOI)
                                                                    Store (0x04, NTOI)
                                                                }
                                                                Else
                                                                {
                                                                    If (LEqual (_T_A, 0x04))
                                                                    {
                                                                        Store (0x04, CTOI)
                                                                        Store (0x05, NTOI)
                                                                    }
                                                                    Else
                                                                    {
                                                                        If (LEqual (_T_A, 0x05))
                                                                        {
                                                                            Store (0x05, CTOI)
                                                                            Store (One, NTOI)
                                                                        }
                                                                    }
                                                                }

                                                                Break
                                                            }
                                                        }
                                                        Else
                                                        {
                                                            If (LEqual (_T_0, 0x03))
                                                            {
                                                                While (One)
                                                                {
                                                                    Store (ToInteger (MSTE), _T_B)
                                                                    If (LEqual (_T_B, 0x03))
                                                                    {
                                                                        Store (0x03, CTOI)
                                                                        Store (One, NTOI)
                                                                    }
                                                                    Else
                                                                    {
                                                                        Store (ToInteger (MSTE), CTOI)
                                                                        Store (Add (CTOI, One), NTOI)
                                                                    }

                                                                    Break
                                                                }
                                                            }
                                                            Else
                                                            {
                                                                Store (ToInteger (MSTE), CTOI)
                                                                Store (CTOI, NTOI)
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }

                    Break
                }
            }

            Method (_DSM, 4, Serialized)
            {
                Name (_T_1, Zero)
                Name (_T_0, Zero)
                If (LOr (LEqual (PDID, 0x0FD4), LEqual (PDID, 0x11A0)))
                {
                    If (LEqual (Arg0, Buffer (0x10)
                            {
                                /* 0000 */    0x01, 0x2D, 0x13, 0xA3, 0xDA, 0x8C, 0xBA, 0x49, 
                                /* 0008 */    0xA5, 0x2E, 0xBC, 0x9D, 0x46, 0xDF, 0x6B, 0x81
                            }))
                    {
                        Return (\_SB.PCI0.PEG0.PEGP.GPS (Arg0, Arg1, Arg2, Arg3))
                    }
                }

                If (LEqual (Arg0, Buffer (0x10)
                        {
                            /* 0000 */    0x75, 0x0B, 0xA5, 0xD4, 0xC7, 0x65, 0xF7, 0x46, 
                            /* 0008 */    0xBF, 0xB7, 0x41, 0x51, 0x4C, 0xEA, 0x02, 0x44
                        }))
                {
                    If (LNotEqual (Arg1, 0x0102))
                    {
                        Return (0x80000002)
                    }

                    While (One)
                    {
                        Store (Arg2, _T_0)
                        If (LEqual (_T_0, Zero))
                        {
                            Return (0x00500001)
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x14))
                            {
                                If (LEqual (EDPE, One))
                                {
                                    Return (Package (0x1C)
                                    {
                                        0x0114, 
                                        0x0200, 
                                        Zero, 
                                        Zero, 
                                        0x04, 
                                        One, 
                                        0xC8, 
                                        0x3C, 
                                        0x03E8, 
                                        0x09, 
                                        Zero, 
                                        0x78, 
                                        0xF0, 
                                        0x0168, 
                                        0x01E0, 
                                        0x0258, 
                                        0x02D0, 
                                        0x0348, 
                                        0x03E8, 
                                        Zero, 
                                        0x78, 
                                        0xF0, 
                                        0x0168, 
                                        0x01E0, 
                                        0x0258, 
                                        0x02D0, 
                                        0x0348, 
                                        0x03E8
                                    })
                                }
                                Else
                                {
                                    Return (Package (0x1C)
                                    {
                                        0x0110, 
                                        0x0200, 
                                        Zero, 
                                        Zero, 
                                        0x04, 
                                        One, 
                                        0xC8, 
                                        0x3C, 
                                        0x03E8, 
                                        0x09, 
                                        Zero, 
                                        0x78, 
                                        0xF0, 
                                        0x0168, 
                                        0x01E0, 
                                        0x0258, 
                                        0x02D0, 
                                        0x0348, 
                                        0x03E8, 
                                        Zero, 
                                        0x78, 
                                        0xF0, 
                                        0x0168, 
                                        0x01E0, 
                                        0x0258, 
                                        0x02D0, 
                                        0x0348, 
                                        0x03E8
                                    })
                                }
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x16))
                                {
                                    CreateByteField (Arg3, Zero, SUB3)
                                    If (LEqual (SUB3, One))
                                    {
                                        Return (Package (0x10)
                                        {
                                            0xE0, 
                                            0x88, 
                                            0x43, 
                                            0x2C, 
                                            0xDA, 
                                            0xEB, 
                                            0xF5, 
                                            0xCC, 
                                            0xFC, 
                                            0xEE, 
                                            0x64, 
                                            0x23, 
                                            0x16, 
                                            0x4E, 
                                            0xFD, 
                                            0x3C
                                        })
                                    }
                                }
                            }
                        }

                        Break
                    }

                    Return (0x80000002)
                }

                If (LEqual (Arg0, Buffer (0x10)
                        {
                            /* 0000 */    0x00, 0xA4, 0x04, 0x40, 0x7D, 0x91, 0xF2, 0x4C, 
                            /* 0008 */    0xB8, 0x9C, 0x79, 0xB6, 0x2F, 0xD5, 0x56, 0x65
                        }))
                {
                    If (LNotEqual (Arg1, 0x0300))
                    {
                        Return (0x80000002)
                    }

                    While (One)
                    {
                        Store (ToInteger (Arg2), _T_1)
                        If (LEqual (_T_1, Zero))
                        {
                            Return (Buffer (0x04)
                            {
                                0x61, 0x00, 0x01, 0x03
                            })
                        }
                        Else
                        {
                            If (LEqual (_T_1, 0x18))
                            {
                                Return (Unicode ("0"))
                            }
                            Else
                            {
                                If (LEqual (_T_1, 0x10))
                                {
                                    Return (MXM3)
                                }
                                Else
                                {
                                    If (LEqual (_T_1, 0x19))
                                    {
                                        Return (Buffer (0x04)
                                        {
                                            0x00, 0x06, 0x00, 0x00
                                        })
                                    }
                                    Else
                                    {
                                        If (LEqual (_T_1, 0x05))
                                        {
                                            Name (TMP5, Buffer (0x04)
                                            {
                                                0x00, 0x00, 0x00, 0x00
                                            })
                                            CreateField (TMP5, Zero, 0x04, DAVF)
                                            CreateField (TMP5, 0x04, One, LIDF)
                                            CreateField (TMP5, 0x08, 0x06, TOGN)
                                            CreateField (Arg3, 0x1F, One, NCSM)
                                            CreateField (Arg3, 0x19, 0x05, NCSN)
                                            CreateField (Arg3, 0x18, One, DIMK)
                                            CreateField (Arg3, 0x0C, 0x0C, ACTD)
                                            CreateField (Arg3, Zero, 0x0C, ATTD)
                                            If (ToInteger (NCSM))
                                            {
                                                Store (ToInteger (NCSN), NTOI)
                                            }
                                            Else
                                            {
                                                If (ToInteger (DIMK))
                                                {
                                                    GETD (ToInteger (ATTD), ToInteger (ACTD))
                                                }
                                            }

                                            If (ToInteger (DSFL))
                                            {
                                                If (ToInteger (CHOI))
                                                {
                                                    Store (ToInteger (CHOI), NTOI)
                                                    Store (Zero, CHOI)
                                                }

                                                Store (NTOI, TOGN)
                                                Store (One, DAVF)
                                            }
                                            Else
                                            {
                                                Store (CTOI, TOGN)
                                                Store (Zero, DAVF)
                                            }

                                            Store (Zero, DSFL)
                                            Return (TMP5)
                                        }
                                        Else
                                        {
                                            If (LEqual (_T_1, 0x06))
                                            {
                                                If (LEqual (EDPE, One))
                                                {
                                                    Return (Package (0x2A)
                                                    {
                                                        0x80008320, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x2C, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80006330, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80006330, 
                                                        0x0114, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x0114, 
                                                        0x2C
                                                    })
                                                }
                                                Else
                                                {
                                                    Return (Package (0x2A)
                                                    {
                                                        0x80008320, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x2C, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x2C, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80000100, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80006330, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80008320, 
                                                        0x80006330, 
                                                        0x0110, 
                                                        0x2C, 
                                                        0x80000100, 
                                                        0x80006330, 
                                                        0x0110, 
                                                        0x2C
                                                    })
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }

                        Break
                    }

                    Return (0x80000002)
                }

                Return (0x80000001)
            }

            Method (_DOD, 0, NotSerialized)
            {
                If (LEqual (EDPE, One))
                {
                    Return (Package (0x05)
                    {
                        0x80008320, 
                        0x80000100, 
                        0x80006330, 
                        0x0114, 
                        0x80008340
                    })
                }
                Else
                {
                    Return (Package (0x05)
                    {
                        0x80008320, 
                        0x80000100, 
                        0x80006330, 
                        0x0110, 
                        0x80008340
                    })
                }
            }

            Device (LCD0)
            {
                Name (_ADR, 0x0110)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    And (MSTE, 0x08, Local0)
                    If (Local0)
                    {
                        Return (One)
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }

                Method (_BCL, 0, NotSerialized)
                {
                    If (LEqual (OSYS, 0x07DC))
                    {
                        Return (Package (0x66)
                        {
                            0x64, 
                            0x3C, 
                            One, 
                            0x02, 
                            0x03, 
                            0x04, 
                            0x05, 
                            0x06, 
                            0x07, 
                            0x08, 
                            0x09, 
                            0x0A, 
                            0x0B, 
                            0x0C, 
                            0x0D, 
                            0x0E, 
                            0x0F, 
                            0x10, 
                            0x11, 
                            0x12, 
                            0x13, 
                            0x14, 
                            0x15, 
                            0x16, 
                            0x17, 
                            0x18, 
                            0x19, 
                            0x1A, 
                            0x1B, 
                            0x1C, 
                            0x1D, 
                            0x1E, 
                            0x1F, 
                            0x20, 
                            0x21, 
                            0x22, 
                            0x23, 
                            0x24, 
                            0x25, 
                            0x26, 
                            0x27, 
                            0x28, 
                            0x29, 
                            0x2A, 
                            0x2B, 
                            0x2C, 
                            0x2D, 
                            0x2E, 
                            0x2F, 
                            0x30, 
                            0x31, 
                            0x32, 
                            0x33, 
                            0x34, 
                            0x35, 
                            0x36, 
                            0x37, 
                            0x38, 
                            0x39, 
                            0x3A, 
                            0x3B, 
                            0x3C, 
                            0x3D, 
                            0x3E, 
                            0x3F, 
                            0x40, 
                            0x41, 
                            0x42, 
                            0x43, 
                            0x44, 
                            0x45, 
                            0x46, 
                            0x47, 
                            0x48, 
                            0x49, 
                            0x4A, 
                            0x4B, 
                            0x4C, 
                            0x4D, 
                            0x4E, 
                            0x4F, 
                            0x50, 
                            0x51, 
                            0x52, 
                            0x53, 
                            0x54, 
                            0x55, 
                            0x56, 
                            0x57, 
                            0x58, 
                            0x59, 
                            0x5A, 
                            0x5B, 
                            0x5C, 
                            0x5D, 
                            0x5E, 
                            0x5F, 
                            0x60, 
                            0x61, 
                            0x62, 
                            0x63, 
                            0x64
                        })
                    }
                    Else
                    {
                        Return (Package (0x0A)
                        {
                            0x64, 
                            0x3C, 
                            0x0C, 
                            0x18, 
                            0x24, 
                            0x30, 
                            0x3C, 
                            0x48, 
                            0x54, 
                            0x64
                        })
                    }
                }

                Method (_BCM, 1, NotSerialized)
                {
                    Store (Arg0, BRTL)
                    NINT (0x02, Arg0)
                    If (LEqual (Arg0, 0x64))
                    {
                        Subtract (Arg0, 0x04, Arg0)
                    }

                    Divide (Arg0, 0x0C, Local0, Local1)
                    Decrement (Local1)
                    Store (Local1, \_SB.PCI0.LPCB.EC0.BRTS)
                }

                Method (_BQC, 0, NotSerialized)
                {
                    Store (BRTL, Local0)
                    Store (NINT (One, Local0), BRTL)
                    Return (BRTL)
                }
            }

            Device (CRT0)
            {
                Name (_ADR, 0x80000100)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    And (MSTE, 0x02, Local0)
                    If (Local0)
                    {
                        Return (One)
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }
            }

            Device (HDM0)
            {
                Name (_ADR, 0x80008320)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    And (MSTE, One, Local0)
                    If (Local0)
                    {
                        Return (One)
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }
            }

            Device (DSP0)
            {
                Name (_ADR, 0x80006330)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    If (LEqual (DPFL, One))
                    {
                        And (MSTE, 0x04, Local0)
                        If (Local0)
                        {
                            Return (One)
                        }
                        Else
                        {
                            Return (Zero)
                        }
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }
            }

            Device (TMDS)
            {
                Name (_ADR, 0x80008340)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    If (LEqual (DPFL, 0x02))
                    {
                        And (MSTE, 0x04, Local0)
                        If (Local0)
                        {
                            Return (One)
                        }
                        Else
                        {
                            Return (Zero)
                        }
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }
            }

            Device (DSP1)
            {
                Name (_ADR, 0x0114)
                Method (MXMX, 1, NotSerialized)
                {
                    Return (One)
                }

                Method (_DGS, 0, NotSerialized)
                {
                    And (MSTE, 0x08, Local0)
                    If (Local0)
                    {
                        Return (One)
                    }
                    Else
                    {
                        Return (Zero)
                    }
                }

                Method (_BCL, 0, NotSerialized)
                {
                    If (LEqual (OSYS, 0x07DC))
                    {
                        Return (Package (0x0D)
                        {
                            0x64, 
                            0x3C, 
                            0x05, 
                            0x0A, 
                            0x14, 
                            0x1E, 
                            0x28, 
                            0x32, 
                            0x3C, 
                            0x46, 
                            0x50, 
                            0x5A, 
                            0x64
                        })
                    }
                    Else
                    {
                        Return (Package (0x0A)
                        {
                            0x64, 
                            0x3C, 
                            0x0C, 
                            0x18, 
                            0x24, 
                            0x30, 
                            0x3C, 
                            0x48, 
                            0x54, 
                            0x64
                        })
                    }
                }

                Method (_BCM, 1, NotSerialized)
                {
                    Store (Arg0, BRTL)
                    NINT (0x02, Arg0)
                    If (LEqual (Arg0, 0x64))
                    {
                        Subtract (Arg0, 0x04, Arg0)
                    }

                    Divide (Arg0, 0x0C, Local0, Local1)
                    Decrement (Local1)
                    Store (Local1, \_SB.PCI0.LPCB.EC0.BRTS)
                }

                Method (_BQC, 0, NotSerialized)
                {
                    Store (BRTL, Local0)
                    Store (NINT (One, Local0), BRTL)
                    Return (BRTL)
                }
            }
        }
    }

    Scope (\_SB.PCI0.PEG1)
    {
        OperationRegion (PE19, PCI_Config, 0x19, One)
        Field (PE19, ByteAcc, NoLock, Preserve)
        {
            PSBN,   8
        }

        Device (DGPU)
        {
            Name (_ADR, Zero)
            OperationRegion (GPPB, PCI_Config, 0xB4, 0x14)
            Field (GPPB, ByteAcc, NoLock, Preserve)
            {
                PBCI,   8, 
                PBNP,   8, 
                PBLS,   8, 
                PBCC,   8, 
                PBCM,   32, 
                PBDI,   32, 
                PBDO,   32, 
                PBMX,   32
            }

            Method (NINT, 2, NotSerialized)
            {
                If (LEqual (PBCC, One))
                {
                    If (LEqual (Arg0, One))
                    {
                        Store (One, PBMX)
                        Store (Zero, Local0)
                        While (LLess (Local0, 0x03E8))
                        {
                            Store (0xC5100000, PBCM)
                            Stall (0x64)
                            And (PBCM, 0xFF, Local1)
                            Increment (Local0)
                            If (LEqual (Local1, One))
                            {
                                Store (0x03E8, Local0)
                            }
                        }

                        Store (Zero, PBCM)
                        Store (Zero, PBMX)
                        Store (PBDO, Local2)
                        Return (Local2)
                    }

                    If (LEqual (Arg0, 0x02))
                    {
                        Store (Arg1, Local1)
                        Store (Zero, Local0)
                        Multiply (Local1, 0x0A, Local3)
                        ShiftLeft (Local3, 0x08, Local3)
                        Store (Local3, PBDI)
                        While (LLess (Local0, 0x03E8))
                        {
                            Store (One, PBMX)
                            Store (0x86100000, PBCM)
                            Stall (0x64)
                            And (PBCM, 0xFF, Local2)
                            Increment (Local0)
                            If (LEqual (Local2, One))
                            {
                                Store (0x03E8, Local0)
                            }
                        }

                        Store (Zero, PBCM)
                        Store (Zero, PBMX)
                        Return (Zero)
                    }
                }

                Return (Zero)
            }

            Method (GBUS, 0, NotSerialized)
            {
                Return (^^PSBN)
            }

            Name (MXM3, Buffer (0x21)
            {
                /* 0000 */    0x4D, 0x58, 0x4D, 0x5F, 0x03, 0x00, 0x19, 0x00, 
                /* 0008 */    0x01, 0xE8, 0x03, 0x00, 0x03, 0x03, 0x90, 0x01, 
                /* 0010 */    0x13, 0x02, 0xE8, 0x03, 0x93, 0x00, 0x52, 0x03, 
                /* 0018 */    0xE5, 0x0D, 0xE1, 0x10, 0x05, 0x00, 0x00, 0x00, 
                /* 0020 */    0x40
            })
            Method (MXMI, 1, NotSerialized)
            {
                If (LEqual (Arg0, 0x20))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, 0x21))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, 0x30))
                {
                    Return (Arg0)
                }

                If (LEqual (Arg0, Zero))
                {
                    Return (0x30)
                }

                Return (Zero)
            }

            Method (MXMS, 1, NotSerialized)
            {
                If (LEqual (Arg0, 0x30))
                {
                    Return (MXM3)
                }
                Else
                {
                    Return (Buffer (0x08)
                    {
                        0x00
                    })
                }
            }

            Method (_DSM, 4, Serialized)
            {
                Name (_T_1, Zero)
                Name (_T_0, Zero)
                If (LEqual (Arg0, Buffer (0x10)
                        {
                            /* 0000 */    0x75, 0x0B, 0xA5, 0xD4, 0xC7, 0x65, 0xF7, 0x46, 
                            /* 0008 */    0xBF, 0xB7, 0x41, 0x51, 0x4C, 0xEA, 0x02, 0x44
                        }))
                {
                    If (LNotEqual (Arg1, 0x0102))
                    {
                        Return (0x80000002)
                    }

                    While (One)
                    {
                        Store (Arg2, _T_0)
                        If (LEqual (_T_0, Zero))
                        {
                            Return (0x00500001)
                        }
                        Else
                        {
                            If (LEqual (_T_0, 0x14))
                            {
                                Return (Package (0x0C)
                                {
                                    0x0110, 
                                    0x0200, 
                                    Zero, 
                                    Zero, 
                                    Zero, 
                                    One, 
                                    0xC8, 
                                    Zero, 
                                    0x03E8, 
                                    Zero, 
                                    Zero, 
                                    Zero
                                })
                            }
                            Else
                            {
                                If (LEqual (_T_0, 0x16))
                                {
                                    Return (Package (0x10)
                                    {
                                        0x25, 
                                        0x1B, 
                                        0xA2, 
                                        0x44, 
                                        0x17, 
                                        0x62, 
                                        0x17, 
                                        0x46, 
                                        0xBF, 
                                        0xB7, 
                                        0x41, 
                                        0x51, 
                                        0x4C, 
                                        0xEA, 
                                        0xC2, 
                                        0x41
                                    })
                                }
                            }
                        }

                        Break
                    }

                    Return (0x80000002)
                }

                If (LEqual (Arg0, Buffer (0x10)
                        {
                            /* 0000 */    0x00, 0xA4, 0x04, 0x40, 0x7D, 0x91, 0xF2, 0x4C, 
                            /* 0008 */    0xB8, 0x9C, 0x79, 0xB6, 0x2F, 0xD5, 0x56, 0x65
                        }))
                {
                    If (LNotEqual (Arg1, 0x0300))
                    {
                        Return (0x80000002)
                    }

                    While (One)
                    {
                        Store (ToInteger (Arg2), _T_1)
                        If (LEqual (_T_1, Zero))
                        {
                            Return (Buffer (0x04)
                            {
                                0x01, 0x00, 0x01, 0x01
                            })
                        }
                        Else
                        {
                            If (LEqual (_T_1, 0x18))
                            {
                                Return (Unicode ("0"))
                            }
                            Else
                            {
                                If (LEqual (_T_1, 0x10))
                                {
                                    Return (MXM3)
                                }
                            }
                        }

                        Break
                    }

                    Return (0x80000002)
                }

                Return (0x80000001)
            }
        }
    }

    Scope (\_SB.PCI0)
    {
        Name (SLIC, Buffer (0x9E)
        {
            "812713457198Genuine NVIDIA Certified SLI Ready Motherboard for DELL AVENGER MLK    c957-Copyright 2011 NVIDIA Corporation All Rights Reserved-231089828765(R)"
        })
        Device (WMI1)
        {
            Name (_HID, "PNP0C14")
            Name (_UID, "MXM2")
            Name (_WDG, Buffer (0x026C)
            {
                /* 0000 */    0x3C, 0x5C, 0xCB, 0xF6, 0xAE, 0x9C, 0xBD, 0x4E, 
                /* 0008 */    0xB5, 0x77, 0x93, 0x1E, 0xA3, 0x2A, 0x2C, 0xC0, 
                /* 0010 */    0x4D, 0x58, 0x01, 0x02, 0x21, 0x12, 0x90, 0x05, 
                /* 0018 */    0x66, 0xD5, 0xD1, 0x11, 0xB2, 0xF0, 0x00, 0xA0, 
                /* 0020 */    0xC9, 0x06, 0x29, 0x10, 0x58, 0x4D, 0x01, 0x00, 
                /* 0028 */    0x62, 0xDE, 0x6B, 0xE0, 0x75, 0xEE, 0xF4, 0x48, 
                /* 0030 */    0xA5, 0x83, 0xB2, 0x3E, 0x69, 0xAB, 0xFB, 0x91, 
                /* 0038 */    0x80, 0x00, 0x01, 0x08, 0x0F, 0xBD, 0xDE, 0x3A, 
                /* 0040 */    0x5F, 0x0C, 0xED, 0x46, 0xAB, 0x2E, 0x04, 0x96, 
                /* 0048 */    0x2B, 0x4F, 0xDC, 0xBC, 0x81, 0x00, 0x01, 0x08, 
                /* 0050 */    0x11, 0x93, 0x51, 0x1E, 0x75, 0x3E, 0x08, 0x42, 
                /* 0058 */    0xB0, 0x5E, 0xEB, 0xE1, 0x7E, 0x3F, 0xF4, 0x1F, 
                /* 0060 */    0x86, 0x00, 0x01, 0x08, 0x41, 0x53, 0xF8, 0x37, 
                /* 0068 */    0x18, 0x44, 0x24, 0x4F, 0x85, 0x33, 0x38, 0xFF, 
                /* 0070 */    0xC7, 0x29, 0x55, 0x42, 0x87, 0x00, 0x01, 0x08, 
                /* 0078 */    0x40, 0x2F, 0x1A, 0x92, 0xC4, 0x0D, 0x2D, 0x40, 
                /* 0080 */    0xAC, 0x18, 0xB4, 0x84, 0x44, 0xEF, 0x9E, 0xD2, 
                /* 0088 */    0xD0, 0x00, 0x01, 0x08, 0x95, 0x30, 0x26, 0x93, 
                /* 0090 */    0x5F, 0xDA, 0xA0, 0x46, 0x8B, 0x1C, 0xDB, 0x2F, 
                /* 0098 */    0x1F, 0x7D, 0x66, 0xAF, 0xD1, 0x00, 0x01, 0x08, 
                /* 00A0 */    0x06, 0x70, 0x90, 0xBE, 0x03, 0xD6, 0x14, 0x47, 
                /* 00A8 */    0x9A, 0xE2, 0x9D, 0xBA, 0x89, 0x97, 0xA8, 0x05, 
                /* 00B0 */    0xD2, 0x00, 0x01, 0x08, 0xE1, 0x55, 0xD3, 0x21, 
                /* 00B8 */    0x8D, 0x49, 0x1F, 0x4C, 0xAE, 0x01, 0x05, 0xCE, 
                /* 00C0 */    0xF8, 0xDD, 0x05, 0x3F, 0xD3, 0x00, 0x01, 0x08, 
                /* 00C8 */    0xF1, 0xED, 0xBC, 0xED, 0xC9, 0xBB, 0x0E, 0x42, 
                /* 00D0 */    0xA3, 0xC0, 0x32, 0x2B, 0x1D, 0x37, 0xC3, 0xAA, 
                /* 00D8 */    0xD4, 0x00, 0x01, 0x08, 0xE1, 0x84, 0x7E, 0x37, 
                /* 00E0 */    0xDE, 0x13, 0xFB, 0x41, 0xA0, 0x96, 0x0F, 0x08, 
                /* 00E8 */    0x52, 0x8B, 0xA6, 0x89, 0xD5, 0x00, 0x01, 0x08, 
                /* 00F0 */    0x61, 0xD3, 0x2A, 0xC1, 0xA9, 0x9F, 0x74, 0x4C, 
                /* 00F8 */    0x90, 0x1F, 0x95, 0xCB, 0x09, 0x45, 0xCF, 0x3E, 
                /* 0100 */    0xD9, 0x00, 0x01, 0x08, 0xDE, 0xE4, 0x4B, 0x15, 
                /* 0108 */    0x0A, 0x1C, 0x0D, 0x48, 0xB2, 0x37, 0xFC, 0x5D, 
                /* 0110 */    0xA9, 0xFA, 0xD2, 0x6F, 0xDA, 0x00, 0x01, 0x08, 
                /* 0118 */    0x06, 0x80, 0x84, 0x42, 0x86, 0x88, 0x0E, 0x49, 
                /* 0120 */    0x8C, 0x72, 0x2B, 0xDC, 0xA9, 0x3A, 0x8A, 0x09, 
                /* 0128 */    0xDB, 0x00, 0x01, 0x08, 0xD9, 0x5E, 0x17, 0xB7, 
                /* 0130 */    0x95, 0xC9, 0x93, 0x4D, 0x8F, 0x71, 0xEA, 0x25, 
                /* 0138 */    0xB3, 0xA4, 0x75, 0x62, 0xDC, 0x00, 0x01, 0x08, 
                /* 0140 */    0x50, 0x2C, 0xCB, 0xA7, 0x79, 0x89, 0x90, 0x49, 
                /* 0148 */    0xB5, 0x1A, 0x09, 0x50, 0x42, 0xF8, 0x84, 0xDD, 
                /* 0150 */    0xDD, 0x00, 0x01, 0x08, 0xC4, 0x4C, 0x71, 0x92, 
                /* 0158 */    0xC7, 0xBE, 0xEE, 0x48, 0x99, 0x07, 0x5B, 0x6A, 
                /* 0160 */    0xB2, 0x95, 0x4F, 0xD0, 0xE0, 0x00, 0x01, 0x08, 
                /* 0168 */    0xBA, 0xFF, 0x40, 0x8F, 0x1B, 0xB4, 0xFE, 0x47, 
                /* 0170 */    0x82, 0x74, 0x00, 0x3A, 0xFA, 0xB5, 0xD8, 0xAA, 
                /* 0178 */    0xE1, 0x00, 0x01, 0x08, 0x67, 0x53, 0x73, 0x33, 
                /* 0180 */    0x20, 0x11, 0xF4, 0x47, 0xB6, 0x0B, 0x19, 0x1A, 
                /* 0188 */    0x8E, 0x71, 0x8A, 0x4E, 0xE2, 0x00, 0x01, 0x08, 
                /* 0190 */    0xE4, 0x54, 0x3F, 0x37, 0x50, 0x53, 0x0B, 0x4F, 
                /* 0198 */    0xA8, 0x77, 0x85, 0x89, 0x6C, 0xD1, 0x4F, 0x2F, 
                /* 01A0 */    0xE3, 0x00, 0x01, 0x08, 0x20, 0xF5, 0x83, 0x5F, 
                /* 01A8 */    0xC3, 0xD9, 0x6A, 0x4D, 0x8D, 0xE7, 0x67, 0x6A, 
                /* 01B0 */    0x0D, 0xCB, 0xDD, 0xF7, 0xE4, 0x00, 0x01, 0x08, 
                /* 01B8 */    0xEB, 0x5C, 0x0F, 0x8E, 0x69, 0x69, 0x2B, 0x4C, 
                /* 01C0 */    0xB5, 0xC3, 0x7A, 0x1F, 0xF2, 0xB3, 0xBB, 0xC5, 
                /* 01C8 */    0xE5, 0x00, 0x01, 0x08, 0x18, 0x91, 0xFE, 0x08, 
                /* 01D0 */    0x0F, 0x84, 0x84, 0x48, 0x82, 0xD7, 0x4A, 0x0A, 
                /* 01D8 */    0x28, 0xC2, 0x54, 0x9F, 0xE6, 0x00, 0x01, 0x08, 
                /* 01E0 */    0x39, 0xFB, 0x29, 0xFB, 0x6D, 0xB3, 0x2A, 0x44, 
                /* 01E8 */    0xB3, 0x51, 0x33, 0x7F, 0xD6, 0xDD, 0x97, 0xEE, 
                /* 01F0 */    0xE7, 0x00, 0x01, 0x08, 0xC3, 0x2C, 0xD3, 0xBB, 
                /* 01F8 */    0xE3, 0xB9, 0x64, 0x47, 0xAE, 0xF6, 0x86, 0x06, 
                /* 0200 */    0x7A, 0xB1, 0xB1, 0xD5, 0xE8, 0x00, 0x01, 0x08, 
                /* 0208 */    0x9F, 0x83, 0x56, 0xA0, 0xE9, 0x44, 0x42, 0x45, 
                /* 0210 */    0x9C, 0x0F, 0x9C, 0xFA, 0x88, 0x57, 0x9F, 0xA6, 
                /* 0218 */    0xE9, 0x00, 0x01, 0x08, 0x9D, 0xE8, 0xCB, 0xB2, 
                /* 0220 */    0xAD, 0x1B, 0x29, 0x4D, 0x85, 0x7B, 0xCB, 0x7B, 
                /* 0228 */    0xCF, 0xF8, 0x6E, 0xA6, 0xEA, 0x00, 0x01, 0x08, 
                /* 0230 */    0x57, 0x3B, 0xAC, 0xA5, 0x31, 0xCC, 0x38, 0x42, 
                /* 0238 */    0xB0, 0xFE, 0xAD, 0x3B, 0x07, 0xEC, 0x12, 0x13, 
                /* 0240 */    0xEB, 0x00, 0x01, 0x08, 0xD2, 0x85, 0xE4, 0xB3, 
                /* 0248 */    0xC1, 0x3C, 0x94, 0x4B, 0x8F, 0x31, 0x77, 0xBA, 
                /* 0250 */    0x2F, 0xDC, 0x9E, 0xBE, 0xEF, 0x00, 0x01, 0x08, 
                /* 0258 */    0xB6, 0x6F, 0x0D, 0x36, 0x4E, 0x1D, 0xA6, 0x4F, 
                /* 0260 */    0xB8, 0x48, 0x1B, 0xE3, 0x3D, 0xD8, 0xEC, 0x7B, 
                /* 0268 */    0xF0, 0x00, 0x01, 0x08
            })
            Method (WMMX, 3, NotSerialized)
            {
                CreateDWordField (Arg2, Zero, FUNC)
                If (LGreaterEqual (SizeOf (Arg2), 0x04))
                {
                    CreateDWordField (Arg2, 0x04, ARGA)
                }

                If (LGreaterEqual (SizeOf (Arg2), 0x08))
                {
                    CreateDWordField (Arg2, 0x08, ARGB)
                }

                If (LEqual (FUNC, 0x41494C53))
                {
                    Return (\_SB.PCI0.SLIC)
                }

                If (LEqual (FUNC, 0x4C43425F))
                {
                    If (LEqual (EDPE, One))
                    {
                        Return (\_SB.PCI0.PEG0.DGPU.DSP1._BCL ())
                    }
                    Else
                    {
                        Return (\_SB.PCI0.PEG0.DGPU.LCD0._BCL ())
                    }
                }

                If (LEqual (FUNC, 0x4D43425F)) {}
                If (LEqual (FUNC, 0x444F445F))
                {
                    If (And (Arg1, 0x0100))
                    {
                        If (LEqual (And (Arg1, 0xFF), \_SB.PCI0.PEG0.DGPU.GBUS ()))
                        {
                            Return (\_SB.PCI0.PEG0.DGPU._DOD ())
                        }
                    }
                    Else
                    {
                        If (LEqual (Arg1, Zero))
                        {
                            Return (\_SB.PCI0.PEG0.DGPU._DOD ())
                        }
                    }
                }

                If (LEqual (FUNC, 0x534F445F)) {}
                If (LEqual (FUNC, 0x5343445F)) {}
                If (LEqual (FUNC, 0x4D4F525F)) {}
                If (LEqual (FUNC, 0x4D53445F))
                {
                    If (LGreaterEqual (SizeOf (Arg2), 0x18))
                    {
                        CreateField (Arg2, 0x20, 0x80, MUID)
                        CreateDWordField (Arg2, 0x14, REVI)
                        CreateDWordField (Arg2, 0x18, SFNC)
                        CreateDWordField (Arg2, 0x1C, ARGD)
                        If (And (Arg1, 0x0100))
                        {
                            If (LEqual (And (Arg1, 0xFF), \_SB.PCI0.PEG0.DGPU.GBUS ()))
                            {
                                Return (\_SB.PCI0.PEG0.DGPU._DSM (MUID, REVI, SFNC, ARGD))
                            }

                            If (LEqual (And (Arg1, 0xFF), \_SB.PCI0.PEG1.DGPU.GBUS ()))
                            {
                                Return (\_SB.PCI0.PEG1.DGPU._DSM (MUID, REVI, SFNC, ARGD))
                            }
                        }
                        Else
                        {
                            If (LEqual (Arg1, Zero))
                            {
                                Return (\_SB.PCI0.PEG0.DGPU._DSM (MUID, REVI, SFNC, ARGD))
                            }

                            If (LEqual (Arg1, One))
                            {
                                Return (\_SB.PCI0.PEG1.DGPU._DSM (MUID, REVI, SFNC, ARGD))
                            }
                        }
                    }
                }

                If (LEqual (FUNC, 0x584D584D)) {}
                If (LEqual (FUNC, 0x5344584D)) {}
                If (LEqual (FUNC, 0x494D584D))
                {
                    Return (\_SB.PCI0.PEG0.DGPU.MXMI (ARGA))
                }

                If (LEqual (FUNC, 0x534D584D))
                {
                    If (And (Arg1, 0x0100))
                    {
                        If (LEqual (And (Arg1, 0xFF), \_SB.PCI0.PEG0.DGPU.GBUS ()))
                        {
                            Return (\_SB.PCI0.PEG0.DGPU.MXMS (ARGA))
                        }

                        If (LEqual (And (Arg1, 0xFF), \_SB.PCI0.PEG1.DGPU.GBUS ()))
                        {
                            Return (\_SB.PCI0.PEG1.DGPU.MXMS (ARGA))
                        }
                    }
                    Else
                    {
                        If (LEqual (Arg1, Zero))
                        {
                            Return (\_SB.PCI0.PEG0.DGPU.MXMS (ARGA))
                        }

                        If (LEqual (Arg1, One))
                        {
                            Return (\_SB.PCI0.PEG1.DGPU.MXMS (ARGA))
                        }
                    }
                }

                Return (Zero)
            }

            Name (WQXM, Buffer (0x0580)
            {
                /* 0000 */    0x46, 0x4F, 0x4D, 0x42, 0x01, 0x00, 0x00, 0x00, 
                /* 0008 */    0x70, 0x05, 0x00, 0x00, 0xE4, 0x2C, 0x00, 0x00, 
                /* 0010 */    0x44, 0x53, 0x00, 0x01, 0x1A, 0x7D, 0xDA, 0x54, 
                /* 0018 */    0x18, 0xD2, 0x95, 0x00, 0x01, 0x06, 0x18, 0x42, 
                /* 0020 */    0x10, 0x17, 0x10, 0x8A, 0xE6, 0x80, 0x42, 0x04, 
                /* 0028 */    0x92, 0x43, 0xA4, 0x30, 0x30, 0x28, 0x0B, 0x20, 
                /* 0030 */    0x86, 0xA4, 0x04, 0x16, 0x01, 0x21, 0xAF, 0x02, 
                /* 0038 */    0x6C, 0x0A, 0x30, 0x09, 0xA2, 0xFE, 0xFD, 0x21, 
                /* 0040 */    0x4A, 0x82, 0x43, 0x09, 0x81, 0x90, 0x44, 0x01, 
                /* 0048 */    0xE6, 0x05, 0xE8, 0x16, 0x60, 0x58, 0x80, 0x6D, 
                /* 0050 */    0x01, 0xA6, 0x05, 0x38, 0x86, 0xA4, 0xD2, 0xC0, 
                /* 0058 */    0x29, 0x81, 0xA5, 0x40, 0x48, 0xA8, 0x00, 0xE5, 
                /* 0060 */    0x02, 0x7C, 0x0B, 0xD0, 0x8E, 0x28, 0xC9, 0x02, 
                /* 0068 */    0x2C, 0xC3, 0x88, 0xC0, 0xA3, 0x60, 0x68, 0x1C, 
                /* 0070 */    0x1A, 0x3B, 0x0C, 0xCB, 0x04, 0xD3, 0x20, 0x0E, 
                /* 0078 */    0xA3, 0x6C, 0x64, 0x11, 0x18, 0xB7, 0x53, 0x01, 
                /* 0080 */    0x72, 0x05, 0x08, 0x13, 0x20, 0x1E, 0x55, 0x18, 
                /* 0088 */    0xCD, 0x41, 0x11, 0xB8, 0xD0, 0x18, 0x19, 0x10, 
                /* 0090 */    0xF2, 0x28, 0xC0, 0xEA, 0x28, 0x34, 0xA9, 0x04, 
                /* 0098 */    0x76, 0x2F, 0x40, 0xA3, 0x00, 0x6D, 0x02, 0x1C, 
                /* 00A0 */    0x0A, 0x50, 0x28, 0xC0, 0x1A, 0x86, 0x9C, 0x41, 
                /* 00A8 */    0xC8, 0x16, 0xB6, 0x30, 0x1A, 0x14, 0x60, 0x11, 
                /* 00B0 */    0x45, 0x23, 0x38, 0x8B, 0x8A, 0xE7, 0x24, 0x94, 
                /* 00B8 */    0x80, 0xF6, 0x86, 0x20, 0x3C, 0x63, 0x36, 0x86, 
                /* 00C0 */    0x27, 0xC4, 0x20, 0x95, 0x61, 0x08, 0x22, 0x6E, 
                /* 00C8 */    0x84, 0x63, 0x69, 0x7F, 0x10, 0x44, 0xBE, 0x82, 
                /* 00D0 */    0x71, 0xB3, 0x48, 0xA3, 0x41, 0x8D, 0x35, 0xC1, 
                /* 00D8 */    0xB1, 0x7B, 0x34, 0x27, 0xDC, 0xB9, 0x00, 0xE9, 
                /* 00E0 */    0x73, 0x13, 0xC8, 0xD1, 0x9D, 0x46, 0x9D, 0x83, 
                /* 00E8 */    0x26, 0xC3, 0x63, 0x58, 0x09, 0xFE, 0x03, 0x7C, 
                /* 00F0 */    0x0A, 0xC0, 0xBB, 0x06, 0xD4, 0xF4, 0x0F, 0x9E, 
                /* 00F8 */    0x09, 0x82, 0x43, 0x0D, 0xD1, 0xA3, 0x0E, 0x77, 
                /* 0100 */    0x02, 0xE7, 0x75, 0x24, 0x0C, 0xE2, 0x88, 0x8E, 
                /* 0108 */    0x1B, 0x3B, 0xAB, 0x93, 0x39, 0xE8, 0x52, 0x05, 
                /* 0110 */    0x98, 0x3D, 0x00, 0x68, 0x70, 0x09, 0x4E, 0xFB, 
                /* 0118 */    0x4C, 0x42, 0xBF, 0x07, 0x9C, 0x4F, 0xCF, 0x63, 
                /* 0120 */    0x63, 0x83, 0x40, 0x8D, 0xCC, 0xFF, 0x7F, 0x68, 
                /* 0128 */    0x0F, 0xF2, 0xB4, 0x62, 0x86, 0x7C, 0x16, 0x38, 
                /* 0130 */    0x2C, 0x26, 0x16, 0x42, 0x9B, 0xD4, 0x78, 0x80, 
                /* 0138 */    0xC0, 0x01, 0xE0, 0xD1, 0x20, 0xC2, 0x9B, 0x81, 
                /* 0140 */    0xE7, 0x6B, 0x82, 0x41, 0x21, 0xE4, 0x64, 0x3C, 
                /* 0148 */    0x28, 0x31, 0xE7, 0x03, 0x32, 0x97, 0x10, 0x0F, 
                /* 0150 */    0x01, 0xC7, 0x10, 0x23, 0xE8, 0x19, 0x15, 0x8D, 
                /* 0158 */    0xAC, 0x89, 0xF8, 0x0C, 0xE0, 0x71, 0x5B, 0x16, 
                /* 0160 */    0x08, 0x25, 0x30, 0xB0, 0xCF, 0x0D, 0xEF, 0x10, 
                /* 0168 */    0x86, 0xC5, 0x8D, 0x26, 0xB0, 0xCF, 0x17, 0x16, 
                /* 0170 */    0x38, 0x28, 0x14, 0xAC, 0xEF, 0x0A, 0x31, 0x9F, 
                /* 0178 */    0x07, 0x8E, 0xF3, 0x80, 0x2D, 0x7C, 0xA2, 0x04, 
                /* 0180 */    0xF8, 0x90, 0x3C, 0x1A, 0x78, 0x83, 0x84, 0x6F, 
                /* 0188 */    0xFD, 0x08, 0x40, 0x80, 0x9F, 0x18, 0x4C, 0x60, 
                /* 0190 */    0x79, 0xC0, 0xE8, 0x51, 0xDA, 0xAF, 0x00, 0x84, 
                /* 0198 */    0xE0, 0x2F, 0x16, 0x4F, 0x01, 0xAF, 0x03, 0x11, 
                /* 01A0 */    0x8E, 0x05, 0xA6, 0xC8, 0xB1, 0xA1, 0xE1, 0xF9, 
                /* 01A8 */    0xC1, 0x21, 0x7A, 0xD4, 0x73, 0x09, 0x7F, 0x34, 
                /* 01B0 */    0x51, 0x4E, 0xE1, 0x70, 0x7C, 0xE4, 0x30, 0x42, 
                /* 01B8 */    0xF8, 0x27, 0x8D, 0x27, 0x0F, 0x6B, 0xBE, 0x03, 
                /* 01C0 */    0x68, 0x4A, 0x6F, 0x01, 0xEF, 0x0F, 0x1E, 0x01, 
                /* 01C8 */    0x46, 0x80, 0x84, 0xA3, 0x09, 0x26, 0xF2, 0xE9, 
                /* 01D0 */    0x04, 0x54, 0xFF, 0xFF, 0xD3, 0x09, 0x60, 0x6A, 
                /* 01D8 */    0xCA, 0x41, 0xDF, 0x4E, 0x9E, 0x22, 0x02, 0x45, 
                /* 01E0 */    0x09, 0xF2, 0x12, 0xF0, 0x56, 0x12, 0x24, 0xC2, 
                /* 01E8 */    0x7B, 0xC9, 0x93, 0xC9, 0xD3, 0x89, 0xC5, 0x9D, 
                /* 01F0 */    0x52, 0x84, 0x11, 0xE5, 0xE8, 0x03, 0x85, 0x79, 
                /* 01F8 */    0x31, 0x78, 0x3F, 0x31, 0x64, 0x90, 0xB0, 0x9E, 
                /* 0200 */    0x47, 0xAC, 0x38, 0x01, 0x83, 0x45, 0x79, 0x43, 
                /* 0208 */    0x79, 0x3A, 0x61, 0x21, 0x1F, 0x1A, 0xD2, 0x70, 
                /* 0210 */    0x3A, 0x01, 0x28, 0xF0, 0xFF, 0x3F, 0x9D, 0xC0, 
                /* 0218 */    0x8F, 0x7A, 0x3A, 0x41, 0x0F, 0xD7, 0xA7, 0x0C, 
                /* 0220 */    0x0C, 0xF2, 0x01, 0xF9, 0xD4, 0xE1, 0x73, 0xC0, 
                /* 0228 */    0x69, 0xF8, 0x78, 0x82, 0x11, 0x75, 0x3C, 0x41, 
                /* 0230 */    0x9D, 0x1E, 0x7C, 0x3C, 0x61, 0xE7, 0x83, 0xB3, 
                /* 0238 */    0x78, 0x0C, 0xF0, 0xE9, 0x04, 0x73, 0x4F, 0xF0, 
                /* 0240 */    0xE9, 0x04, 0x6C, 0xA3, 0x81, 0x71, 0x3C, 0x01, 
                /* 0248 */    0xDF, 0xD1, 0x05, 0x77, 0x3C, 0x01, 0xC3, 0x60, 
                /* 0250 */    0x60, 0x9C, 0x4F, 0x80, 0xC7, 0x78, 0x71, 0xC7, 
                /* 0258 */    0x00, 0x0F, 0x81, 0x0F, 0xE0, 0x71, 0xE3, 0xF4, 
                /* 0260 */    0xAC, 0x74, 0x52, 0xC8, 0x93, 0x08, 0x1F, 0x14, 
                /* 0268 */    0xE6, 0xC0, 0x02, 0x1C, 0xFE, 0xFF, 0x07, 0x16, 
                /* 0270 */    0xC0, 0xD4, 0xFD, 0xE0, 0x94, 0x9F, 0x57, 0x7C, 
                /* 0278 */    0x61, 0x31, 0xF2, 0x3B, 0xCA, 0x8B, 0x4A, 0x8C, 
                /* 0280 */    0x03, 0x7F, 0x57, 0x89, 0xE2, 0x11, 0xBC, 0xA9, 
                /* 0288 */    0x44, 0x0B, 0xF6, 0xC0, 0xE2, 0xE3, 0x8A, 0x8F, 
                /* 0290 */    0x68, 0xC6, 0x8B, 0x75, 0x18, 0xAF, 0x2E, 0x46, 
                /* 0298 */    0x8A, 0x12, 0x33, 0xDE, 0xCB, 0x9A, 0x21, 0x1E, 
                /* 02A0 */    0x58, 0x00, 0x36, 0xFC, 0xFF, 0x0F, 0x2C, 0xC0, 
                /* 02A8 */    0xE4, 0x1A, 0xF4, 0xC0, 0x02, 0x8C, 0x47, 0xC3, 
                /* 02B0 */    0x0E, 0x2C, 0xC0, 0x74, 0x30, 0xEC, 0xC0, 0x02, 
                /* 02B8 */    0xB8, 0xFC, 0xFF, 0x1F, 0x58, 0x00, 0x53, 0x07, 
                /* 02C0 */    0x52, 0xDF, 0x55, 0x62, 0x3C, 0x93, 0x32, 0x84, 
                /* 02C8 */    0x17, 0x95, 0xF7, 0x34, 0x1F, 0xD8, 0xF8, 0xD5, 
                /* 02D0 */    0xC0, 0x07, 0x83, 0xB7, 0x35, 0x83, 0x44, 0x7A, 
                /* 02D8 */    0x60, 0xF1, 0xD5, 0xC5, 0x10, 0x41, 0x23, 0xC6, 
                /* 02E0 */    0x88, 0xFA, 0xC0, 0xF2, 0xE0, 0x66, 0x9C, 0x18, 
                /* 02E8 */    0x0F, 0x2C, 0x00, 0x1B, 0xFE, 0xFF, 0x07, 0x16, 
                /* 02F0 */    0x60, 0x72, 0x15, 0x7A, 0x60, 0x01, 0xC6, 0xA3, 
                /* 02F8 */    0x61, 0x07, 0x16, 0x60, 0x3A, 0x18, 0x76, 0x60, 
                /* 0300 */    0x01, 0x5C, 0xFE, 0xFF, 0x0F, 0x6C, 0x80, 0xAB, 
                /* 0308 */    0x2B, 0xCA, 0x13, 0xAA, 0xEF, 0x29, 0x51, 0x5E, 
                /* 0310 */    0x51, 0x7C, 0x5B, 0x31, 0x88, 0x6F, 0x2B, 0x3E, 
                /* 0318 */    0xA8, 0xF9, 0x6C, 0xF0, 0xC0, 0x6A, 0x40, 0x76, 
                /* 0320 */    0x60, 0x35, 0xC4, 0x53, 0xAB, 0x11, 0x9E, 0x00, 
                /* 0328 */    0x82, 0x87, 0x3B, 0x91, 0x60, 0x11, 0x1E, 0x5D, 
                /* 0330 */    0x7C, 0x60, 0x01, 0xD8, 0xF0, 0xFF, 0x3F, 0xB0, 
                /* 0338 */    0x00, 0x93, 0x9B, 0xC0, 0x03, 0x0B, 0x30, 0x1E, 
                /* 0340 */    0x0D, 0x3B, 0xB0, 0x00, 0xD3, 0xC1, 0xB0, 0x03, 
                /* 0348 */    0x0B, 0xE0, 0xF2, 0xFF, 0x7F, 0x60, 0x01, 0x4C, 
                /* 0350 */    0x41, 0xBE, 0x13, 0xBC, 0xAB, 0x9C, 0x73, 0x8C, 
                /* 0358 */    0x57, 0x34, 0x43, 0xBF, 0xA8, 0xFA, 0x94, 0xEA, 
                /* 0360 */    0xDB, 0x8A, 0x81, 0x0C, 0x76, 0x4E, 0x0F, 0xAC, 
                /* 0368 */    0x46, 0x7A, 0x6A, 0x61, 0xB7, 0x55, 0x83, 0x3C, 
                /* 0370 */    0xB9, 0x18, 0xE1, 0xE8, 0x43, 0x1F, 0xC0, 0x8B, 
                /* 0378 */    0xAB, 0x0F, 0x2C, 0x00, 0x1F, 0xFE, 0xFF, 0x07, 
                /* 0380 */    0x16, 0xE0, 0x71, 0x2A, 0xF6, 0x81, 0x05, 0xF8, 
                /* 0388 */    0x8E, 0x86, 0x1F, 0x58, 0x80, 0xE7, 0x60, 0xF8, 
                /* 0390 */    0x81, 0x05, 0x70, 0xF9, 0xFF, 0x3F, 0xB0, 0x00, 
                /* 0398 */    0xAE, 0x0E, 0x08, 0xBE, 0x10, 0xC6, 0x08, 0xEC, 
                /* 03A0 */    0xDB, 0xAA, 0xD1, 0x8E, 0xFB, 0x81, 0x1D, 0x33, 
                /* 03A8 */    0x8E, 0xA7, 0x16, 0x5F, 0x56, 0x5E, 0x30, 0x1E, 
                /* 03B0 */    0x58, 0x0E, 0x3F, 0x9E, 0xAF, 0xEC, 0xC6, 0x7B, 
                /* 03B8 */    0x5A, 0xF5, 0xF1, 0x28, 0x4E, 0xC4, 0x08, 0x81, 
                /* 03C0 */    0x1F, 0x58, 0x01, 0x3E, 0xFC, 0xFF, 0x0F, 0x2C, 
                /* 03C8 */    0xC0, 0xE4, 0xC0, 0x0E, 0x8C, 0x47, 0xC3, 0x0F, 
                /* 03D0 */    0x2C, 0xC0, 0xF4, 0xC0, 0x0E, 0x18, 0xFD, 0xFF, 
                /* 03D8 */    0x1F, 0x58, 0x00, 0x53, 0x77, 0x74, 0x83, 0x86, 
                /* 03E0 */    0x7D, 0x46, 0x09, 0x11, 0xE1, 0x19, 0xE5, 0x45, 
                /* 03E8 */    0xC5, 0x18, 0x51, 0x9E, 0x55, 0x3D, 0x82, 0x58, 
                /* 03F0 */    0xCF, 0x05, 0xAF, 0x6C, 0x46, 0x3C, 0xF8, 0xA0, 
                /* 03F8 */    0x8F, 0x07, 0x51, 0x7C, 0x61, 0x31, 0xCE, 0x4B, 
                /* 0400 */    0x4B, 0x94, 0x08, 0x01, 0xA3, 0xF8, 0xDC, 0xEE, 
                /* 0408 */    0x03, 0x0B, 0xC0, 0x86, 0xFF, 0xFF, 0x81, 0x05, 
                /* 0410 */    0x98, 0x9C, 0x43, 0xD8, 0x81, 0x05, 0xD8, 0x8E, 
                /* 0418 */    0x86, 0x1D, 0x58, 0x80, 0xE9, 0x00, 0xD8, 0x81, 
                /* 0420 */    0x05, 0x70, 0xF9, 0xFF, 0x3F, 0xB0, 0x00, 0xA6, 
                /* 0428 */    0xEE, 0xAB, 0x86, 0x79, 0x42, 0x78, 0x44, 0xF7, 
                /* 0430 */    0x88, 0x1F, 0xD8, 0x19, 0xF8, 0x53, 0x4A, 0xA8, 
                /* 0438 */    0x28, 0x1E, 0x47, 0xA4, 0xF7, 0x80, 0x07, 0x56, 
                /* 0440 */    0xC3, 0x1D, 0x44, 0x3C, 0x9F, 0x55, 0x7C, 0x22, 
                /* 0448 */    0xF0, 0xE9, 0xDD, 0x90, 0xCF, 0x87, 0xBE, 0xB6, 
                /* 0450 */    0xFB, 0xC0, 0x06, 0xF0, 0xE1, 0xFF, 0x7F, 0x60, 
                /* 0458 */    0x01, 0x26, 0xE7, 0x80, 0x07, 0x16, 0x60, 0x3C, 
                /* 0460 */    0x1A, 0x76, 0x60, 0x01, 0xA6, 0x83, 0x61, 0x07, 
                /* 0468 */    0x16, 0xC0, 0xE5, 0xFF, 0xFF, 0xC0, 0x02, 0x98, 
                /* 0470 */    0xBA, 0x9F, 0xFB, 0x5E, 0xF1, 0x16, 0x60, 0x90, 
                /* 0478 */    0xB7, 0x54, 0x5F, 0xD4, 0x0D, 0x64, 0xF8, 0x07, 
                /* 0480 */    0x16, 0x5F, 0x0D, 0x3C, 0x8D, 0x07, 0x16, 0x9F, 
                /* 0488 */    0x0C, 0x42, 0xBD, 0xB2, 0xFA, 0xAE, 0x60, 0x84, 
                /* 0490 */    0x77, 0x56, 0x1F, 0x0F, 0x7C, 0x60, 0x8B, 0x15, 
                /* 0498 */    0x23, 0x5E, 0x84, 0x07, 0x16, 0x80, 0x0D, 0xFF, 
                /* 04A0 */    0xFF, 0x03, 0x0B, 0x30, 0xB9, 0x2C, 0xF8, 0xC0, 
                /* 04A8 */    0x02, 0x7C, 0x47, 0xC3, 0x0E, 0x2C, 0xC0, 0x74, 
                /* 04B0 */    0x30, 0xEC, 0xC0, 0x02, 0xB8, 0xFC, 0xFF, 0x1F, 
                /* 04B8 */    0x58, 0x00, 0x53, 0x27, 0x14, 0x23, 0x9C, 0xEF, 
                /* 04C0 */    0x3B, 0x5A, 0xE4, 0x07, 0x36, 0x06, 0x11, 0x2A, 
                /* 04C8 */    0x5E, 0x98, 0x07, 0x16, 0xDF, 0xD7, 0xAC, 0xF8, 
                /* 04D0 */    0xC0, 0x42, 0xE6, 0xE0, 0x7B, 0xAB, 0x41, 0xDE, 
                /* 04D8 */    0x5C, 0x42, 0xC4, 0x7D, 0x5B, 0x7B, 0x43, 0x78, 
                /* 04E0 */    0x6B, 0x37, 0x5A, 0xAC, 0x67, 0x56, 0x1F, 0x58, 
                /* 04E8 */    0x00, 0x36, 0xFC, 0xFF, 0x0F, 0x2C, 0xC0, 0xE4, 
                /* 04F0 */    0x28, 0xF0, 0xC0, 0x02, 0x8C, 0x47, 0xC3, 0x0E, 
                /* 04F8 */    0x2C, 0xC0, 0x74, 0x30, 0xEC, 0xC0, 0x02, 0x38, 
                /* 0500 */    0x51, 0x68, 0xD3, 0xA7, 0x46, 0xA3, 0x56, 0x0D, 
                /* 0508 */    0xCA, 0xD4, 0x28, 0xD3, 0xA0, 0x56, 0x9F, 0x4A, 
                /* 0510 */    0x8D, 0x19, 0x33, 0x04, 0xA5, 0x80, 0x0F, 0x01, 
                /* 0518 */    0x9D, 0x08, 0x2C, 0xEF, 0xD9, 0x20, 0x10, 0xCB, 
                /* 0520 */    0xA0, 0x10, 0x88, 0xA5, 0xBF, 0x5A, 0x04, 0xE2, 
                /* 0528 */    0xE0, 0x20, 0xFA, 0xFF, 0x83, 0x38, 0xE2, 0x93, 
                /* 0530 */    0x43, 0x60, 0xC4, 0x04, 0x18, 0x05, 0xA1, 0x11, 
                /* 0538 */    0x55, 0x80, 0x51, 0x1B, 0x60, 0x14, 0x84, 0x46, 
                /* 0540 */    0xD4, 0x01, 0x46, 0x8D, 0x80, 0x51, 0x10, 0x1A, 
                /* 0548 */    0x51, 0x09, 0x18, 0xB5, 0x02, 0x46, 0x41, 0x68, 
                /* 0550 */    0x44, 0x2D, 0x60, 0xD4, 0x0C, 0x18, 0x05, 0xA1, 
                /* 0558 */    0x11, 0xD5, 0x80, 0x51, 0x3B, 0x60, 0x14, 0x84, 
                /* 0560 */    0x46, 0xD4, 0x03, 0x46, 0x57, 0x28, 0x30, 0x02, 
                /* 0568 */    0x42, 0x23, 0x2A, 0x02, 0xA3, 0x96, 0xC0, 0x28, 
                /* 0570 */    0x08, 0x8D, 0xA8, 0x09, 0x8C, 0x9A, 0x02, 0xA3, 
                /* 0578 */    0x20, 0x34, 0xA2, 0x2A, 0x10, 0xF6, 0xFF, 0x07
            })
        }
    }

    Method (HGAS, 0, Serialized)
    {
    }

    Method (HBRT, 1, Serialized)
    {
        If (LEqual (Arg0, 0x04))
        {
            Notify (\_SB.PCI0.PEG0.DGPU.LCD0, 0x87)
        }

        If (LEqual (Arg0, 0x03))
        {
            Notify (\_SB.PCI0.PEG0.DGPU.LCD0, 0x86)
        }
    }

    Method (HLSE, 0, Serialized)
    {
    }

    Method (HDSE, 1, Serialized)
    {
        If (LEqual (Arg0, Zero))
        {
            Notify (\_SB.PCI0.PEG0.DGPU, 0xF0)
            Return (\_SB.PCI0.PEG0.DGPU.MADL)
        }
        Else
        {
            Store (One, \_SB.PCI0.PEG0.DGPU.DSFL)
            Store (Arg0, \_SB.PCI0.PEG0.DGPU.CHOI)
            Notify (\_SB.PCI0.PEG0.DGPU, 0x80)
        }
    }

    Method (HPFS, 0, Serialized)
    {
    }

    Method (HGLS, 0, Serialized)
    {
    }

    Method (FPED, 0, NotSerialized)
    {
    }

    Method (PDCC, 0, NotSerialized)
    {
    }

    Method (WMAB, 1, Serialized)
    {
    }
}

